Bug 101100 - /proc/cpufreq is empty
Summary: /proc/cpufreq is empty
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-29 03:02 UTC by Aleksey Nogin
Modified: 2015-01-04 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-21 15:43:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2003-07-29 03:02:29 UTC
For some reason, in beta1, the /proc/cpufreq and /proc/sys/cpu do not have any data:

# cat /proc/cpufreq
          minimum CPU frequency  -  maximum CPU frequency  -  policy
# cat /proc/sys/cpu/0/speed
0
# cat /proc/sys/cpu/0/speed-max
0
# cat /proc/sys/cpu/0/speed-min
0

This used to work before (in earlier post-9 Rawhide kernels, for example)

# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 Mobile CPU 1.80GHz
stepping        : 4
cpu MHz         : 1794.732
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3578.26

Comment 1 Bill Nottingham 2003-07-29 03:38:12 UTC
Is p4-clockmod loaded? (Or whatever the equivalent module is?)

Comment 2 Aleksey Nogin 2003-07-29 03:53:31 UTC
There is no p4-clockmod module in the kernel-2.4.21-20.1.2024.2.1.nptl.i686.rpm
(or kernel-unsupported-2.4.21-20.1.2024.2.1.nptl.i686.rpm for that matter).

Comment 3 Dave Jones 2003-08-08 21:27:06 UTC
Indeed.
# CONFIG_X86_P4_CLOCKMOD is not set
As well as several other cpufreq modules.

The current cpufreq patch is a little out of date, I'll be updating it sometime
RSN, I'll enable these extra modules at the same time.


Comment 4 Dave Jones 2003-08-21 15:43:05 UTC
Fixed for next kernel/beta.



Note You need to log in before you can comment on or make changes to this bug.